## cppy 1.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
# https://dominikberner.ch/cmake-interface-lib/

project(
    "cppy"
    VERSION 1.1.0
    HOMEPAGE_URL "https://github.com/nucleic/cppy")

set(libname "cppy")

add_library(${libname} INTERFACE)
# add alias so the project can be uses with add_subdirectory
add_library(${libname}::${libname} ALIAS ${libname})

include(GNUInstallDirs)

target_include_directories(
  ${libname}
  INTERFACE $<BUILD_INTERFACE:${${libname}_SOURCE_DIR}/lib>
            $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)

target_compile_features(${libname} INTERFACE cxx_std_11)

install(TARGETS ${libname}
        EXPORT ${libname}_Targets
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

include(CMakePackageConfigHelpers)
write_basic_package_version_file(
    "${libname}ConfigVersion.cmake"
    VERSION ${PROJECT_VERSION}
    COMPATIBILITY SameMajorVersion)

configure_package_config_file(
  "${PROJECT_SOURCE_DIR}/cmake/${libname}Config.cmake.in"
  "${PROJECT_BINARY_DIR}/${libname}Config.cmake"
  INSTALL_DESTINATION
  ${CMAKE_INSTALL_DATAROOTDIR}/${libname}/cmake)

install(EXPORT ${libname}_Targets
    FILE ${libname}Targets.cmake
    NAMESPACE ${libname}::
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${libname}/cmake)

install(FILES "${PROJECT_BINARY_DIR}/${libname}Config.cmake"
    "${PROJECT_BINARY_DIR}/${libname}ConfigVersion.cmake"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${libname}/cmake)

install(DIRECTORY ${PROJECT_SOURCE_DIR}/cppy/include/cppy DESTINATION include)

set(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/LICENSE")

include(CPack)

## cppy 1.1.0

=== debian/changelog ===
cppy (1.1.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - extend packaging copyright years

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Sun, 24 Apr 2022 00:25:40 -0400

cppy (1.1.0-2) unstable; urgency=medium

  * Rebuild to upload a source-only pkg

 -- Sandro Tosi <morph@debian.org>  Thu, 03 Sep 2020 22:57:51 -0400

cppy (1.1.0-1) unstable; urgency=low

  * Initial release; Closes: #966102

 -- Sandro Tosi <morph@debian.org>  Thu, 23 Jul 2020 00:38:35 -0400

=== debian/control ===
Source: cppy
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-doc <!nodoc>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.6.0
Homepage: https://github.com/nucleic/cppy
Vcs-Git: https://salsa.debian.org/python-team/packages/cppy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/cppy

Package: python-cppy-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: C++ headers for (Python) C extension development (documentation)
 A small C++ header library which makes it easier to write Python extension
 modules. The primary feature is a PyObject smart pointer which automatically
 handles reference counting and provides convenience methods for performing
 common object operations.
 .
 This package contains the documentation for cppy.

Package: python3-cppy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: C++ headers for (Python) C extension development
 A small C++ header library which makes it easier to write Python extension
 modules. The primary feature is a PyObject smart pointer which automatically
 handles reference counting and provides convenience methods for performing
 common object operations.

## cppy 1.2.1

=== debian/changelog ===
cppy (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright years
  * debian/control
    - bump Standards-Version to 4.6.2.0 (no changes needed)
    - build using pyproject plugin

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Dec 2022 21:02:34 -0500

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-doc <!nodoc>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2.0
 Homepage: https://github.com/nucleic/cppy
 Vcs-Git: https://salsa.debian.org/python-team/packages/cppy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cppy
@@ -21,6 +21,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: C++ headers for (Python) C extension development (documentation)
  A small C++ header library which makes it easier to write Python extension
  modules. The primary feature is a PyObject smart pointer which automatically

=== debian/watch ===
# try also https://pypi.debian.net/cppy/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/cppy/cppy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cppy 1.3.0

=== debian/changelog ===
cppy (1.3.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.3.0
  * Drop patch, not needed anymore
  * Fix syntax error in Maintainer: field that confuses UDD & the Tracker

 -- Alexandre Detiste <tchet@debian.org>  Sun, 26 Jan 2025 22:43:56 +0100

cppy (1.2.1-5) unstable; urgency=medium

  * Team upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version
  * d/control: build-dep on pytest to enable testing
  * d/control: upgrade to "Testsuite: autopkgtest-pkg-pybuild"
  * Standards-Version: 4.6.2 (routine-update)
  * d/control: sort entries

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 25 Apr 2024 18:34:54 +0300

cppy (1.2.1-4) unstable; urgency=medium

  * d/control: Add python3-setuptools as Dependency of the binary package.
  * d/control: Bump Standards-Versions to 4.7.0 (from 4.6.2; no further changes
    needed).
  * d/salsa-ci.yml: Enable salsa-ci.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 24 Apr 2024 17:26:42 -0300

cppy (1.2.1-3) unstable; urgency=medium

  * Adopt orphaned package. Closes: #1065248.
  * Standards-Version: 4.6.2 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove field Testsuite on binary package
    python-cppy-doc that duplicates source.
  * watch file standard 4 (routine-update)

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 06 Apr 2024 18:04:44 -0300

cppy (1.2.1-2) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 03:19:52 -0500

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=cppy
export PYBUILD_AFTER_INSTALL=PYTHONPATH={build_dir} python3 -m sphinx -b html $(CURDIR)/docs/source $(CURDIR)/debian/python-cppy-doc/usr/share/doc/python-cppy-doc/html

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
# try also https://pypi.debian.net/cppy/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/cppy/cppy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cppy 1.3.1

=== docs/requirements.txt ===
sphinx>=4
sphinx-rtd-theme>=1

=== debian/changelog ===
cppy (1.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 03 Apr 2025 21:06:18 -0300

=== debian/control ===
Source: cppy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all,
               python3-doc <!nodoc>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/cppy
Vcs-Git: https://salsa.debian.org/python-team/packages/cppy.git
Homepage: https://github.com/nucleic/cppy
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python-cppy-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: C++ headers for (Python) C extension development (documentation)
 A small C++ header library which makes it easier to write Python extension
 modules. The primary feature is a PyObject smart pointer which automatically
 handles reference counting and provides convenience methods for performing
 common object operations.
 .
 This package contains the documentation for cppy.
Build-Profiles: <!nodoc>

Package: python3-cppy
Architecture: all
Depends: python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: C++ headers for (Python) C extension development
 A small C++ header library which makes it easier to write Python extension
 modules. The primary feature is a PyObject smart pointer which automatically
 handles reference counting and provides convenience methods for performing
 common object operations.
